%define name gtk-nimbus-engine
%define version 0.1.7
%define oname nimbus
%define release %mkrel 1

%define libname %mklibname %{name}

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Summary: Nimbus engine for Gtk 2.x
Summary(de): Nimbus Engine für Gtk 2.x
Name:    %{name}
Version: %{version}
Release: %{release}
URL: http://dlc.sun.com/osol/jds/downloads/extras/
Source0: http://dlc.sun.com/osol/jds/downloads/extras/%{oname}/%{oname}-%{version}.tar.xz
License: LGPLv2+
Group: 	 Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel >= 2.12
BuildRequires: %{_lib}rsvg-devel >= 2.16
BuildRequires: icon-naming-utils
BuildRequires: intltool
BuildRequires: %mklibname gdk_pixbuf2.0_0-devel

%description
Nimbus is the default gtk engine from Open Solaris.

%description -l de
Nimbus ist die Standard-Gtk-Engine von Open Solaris.

%package -n %{oname}-icon-theme
Summary: Icon theme for GNOME
Summary(de): Symbolthema für GNOME
Group: Graphical desktop/GNOME

%description -n %{oname}-icon-theme
GNOME icon theme for %{name}.

%description -n %{oname}-icon-theme -l de
GNOME Symbolthema für %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%define _disable_ld_as_needed 1
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%clean
%__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_datadir}/themes/*
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.*

%files -n %{oname}-icon-theme
%{_datadir}/icons/*

%changelog
* Sun Jul 31 2016 adrianomorselli <adrianomorselli> 0.1.7-1uplos2012
- rebuild

* Tue Mar 06 2012 Neal <nealbrks0 at gmail dot com> 0.1.7-1pclos2012
- process

* Tue Mar 06 2012 ghostbunny <hmhaase at pclinuxosusers dot com> 0.1.7-1pclos2012
- 0.1.7
- added german summaries and descriptions
- added xz compression
- renamed spec file to pclos-gtk-nimbus-engine.spec
- added %{_lib} macro for 64bit

* Fri Nov 27 2009 maik3531 <maik3531 at yahoo.de> 0.1.4-1pclos2010
- Initial release for PCLinuxOS
- combine library back into main package (tex)
- add posts scripts (tex)


